//load Data set
d3.csv('https://gist.githubusercontent.com/venkatajayanth03/5ada9de9e1dfaf883db89c7d7a50f039/raw/2fab3de800824530e2f323ff5ef699c173103324/bonus.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
//declaring trace1
var trace1 = {
  //Retriving data from dataset
	x:unpack(rows, 'x1'), y: unpack(rows, 'y1'), z: unpack(rows, 'z1'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(7, 7, 7)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'x2'), y: unpack(rows, 'y2'), z: unpack(rows, 'z2'),
	mode: 'markers',
	marker: {
		color: 'rgb(17, 177,17)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(20, 20, 20)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};
//Defining Data Array
var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
  //Displaying Scatter plot
Plotly.newPlot('myDiv', data, layout);
});
